## org.apache.fop.fo
Interface TreeBuilder

All Known Implementing Classes:
  FOTreeBuilder, SVGTreeBuilder

public interface TreeBuilder

Method Summary
`void` `addElementPropertyList(java.lang.String namespaceURI, java.lang.String localName, java.util.Hashtable list)` add a mapping from element name to maker.
`void` `addMapping(java.lang.String namespaceURI, java.lang.String localName, FObj.Maker maker)` add a mapping from element name to maker.
`void` `addPropertyList(java.lang.String namespaceURI, java.util.Hashtable list)` add a mapping from element name to maker.

Method Detail

### addMapping

    public void addMapping(java.lang.String namespaceURI,
                           java.lang.String localName,
                           FObj.Maker maker)

  add a mapping from element name to maker.
  Parameters:
    `namespaceURI` - namespace URI of formatting object element
    `localName` - local name of formatting object element
    `maker` - Maker for class representing formatting object

### addPropertyList

    public void addPropertyList(java.lang.String namespaceURI,
                                java.util.Hashtable list)

  add a mapping from element name to maker.
  Parameters:
    `namespaceURI` - namespace URI of formatting object element
    `localName` - local name of formatting object element
    `maker` - Maker for class representing formatting object

### addElementPropertyList

    public void addElementPropertyList(java.lang.String namespaceURI,
                                       java.lang.String localName,
                                       java.util.Hashtable list)

  add a mapping from element name to maker.
  Parameters:
    `namespaceURI` - namespace URI of formatting object element
    `localName` - local name of formatting object element
    `maker` - Maker for class representing formatting object

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.